Page MenuHomePhabricator

Icons for redirects, disambig, red link suggestions; default icon when there is no image
Closed, ResolvedPublic1 Story Points

Description

  • Article icon: OOjs UI, Content icon pack, "Article" icon Use local
  • Redirect icon: OOjs UI, Editing-Advanced icon pack, "Redirect" icon Use local
  • Disambiguation article icon: Use local
  • New article icon: Use local

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterShow different icons for different result types
mediawiki/extensions/VisualEditor : masterLink inspector images and descriptions

Event Timeline

sucheta created this task.Mar 23 2015, 11:41 PM
sucheta claimed this task.
sucheta raised the priority of this task from to Normal.
sucheta updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 23 2015, 11:41 PM
Catrope renamed this task from Icons for redirects, disambig, red links; default icon when there is no image to Icons for redirects, disambig, red link suggestions; default icon when there is no image.Apr 4 2015, 7:44 PM
Catrope set Security to None.
Jdforrester-WMF removed sucheta as the assignee of this task.Apr 22 2015, 4:58 PM

Change 174725 had a related patch set uploaded (by Esanders):
Link inspector images and descriptions

https://gerrit.wikimedia.org/r/174725

Change 174725 merged by jenkins-bot:
Link inspector images and descriptions

https://gerrit.wikimedia.org/r/174725

Here are the icons for the placeholders for different types of links/pages

Here are the icons for the placeholders for different types of links/pages





Thanks so much!

If these are going to be icons, they need to be 24x24 (be clear at that size, and snapped to the grid where appropriate). They must also be monochrome (disambig has two tones).

@Esanders can you tell me the dimension for the placeholder? (the grey box)

@Nirzar - we have a little bit of room to be flexible there but currently we are showing the icons at 2x (48x48) with no extra padding. Ideally the icons would look good at 24x24 and 48x48.

Change 207120 had a related patch set uploaded (by Jforrester):
[WIP] Add new icons for link search results

https://gerrit.wikimedia.org/r/207120

Change 207120 merged by jenkins-bot:
Show different icons for different result types

https://gerrit.wikimedia.org/r/207120

Jdforrester-WMF closed this task as Resolved.Apr 29 2015, 5:17 PM
Jdforrester-WMF moved this task from Doing to Done on the VisualEditor 2014/15 Q4 blockers board.